Subject: Re: select() on more than 64 fds
From: MarketLogix <[email-masked]>
To: Barnali <[email-masked]>
Cc: [email-masked]
Date: Thu, 7 Sep 2000 12:00:50 -0700

Hi.

Try -> setdtablesize().

bisk

Begin forwarded message:

Mailing-List: contact [email-masked]; run by ezmlm
List-Unsubscribe: <mailto:cygwin-unsubscribe-mlx=[email-masked]>
List-Subscribe: <mailto:[email-masked]>
List-Archive: <http://sources.redhat.com/ml/cygwin/>
List-Post: <mailto:[email-masked]>
List-Help: <mailto:[email-masked]>,  
<http://sources.redhat.com/ml/#faqs>
Sender: [email-masked]
Delivered-To: mailing list [email-masked]
Date: Thu, 7 Sep 2000 09:53:49 -0700 (PDT)
From: Barnali <[email-masked]>
Subject: select() on more than 64 fds
To: [email-masked]

hi,
what exactly is the limitation on select() ? I need
to have as many as a couple of thousand sockets open
and call select() on them. is this at all possible ?
the header seems to indicate that I can redefine a
constant to increase the size of fd_set from the
default of 64. if I do this should I recompile the
cygwin dll with the new value ?
also how much of a performance hit does cygwin
select take as compared to an equivalent winsock
function doing a similar job (large no. of sockets)
thanks in advance,

barnali

__________________________________________________
Do You Yahoo!?
Yahoo! Mail - Free email you can access from anywhere!
http://mail.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]